Package commoble.exmachina.engine.api

# Interface Connector.BlockConnector

Enclosing interface:
  Connector

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public static interface Connector.BlockConnector

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Connector.BlockConnector`
`EMPTY`

## Method Summary

Modifier and Type
Method
Description
`Connector.StateConnector`
`getStateConnector(net.minecraft.world.level.block.state.BlockState state)`
`default boolean`
`isPresent()`

## Field Details

### EMPTY

static final Connector.BlockConnector EMPTY

## Method Details

### getStateConnector

Connector.StateConnector getStateConnector(net.minecraft.world.level.block.state.BlockState state)

### isPresent

default boolean isPresent()